Sie sind nicht angemeldet.

1

Donnerstag, 13. September 2012, 22:39

Linux Server Help?

I recently got back into EoD and really want to try hosting a local dedicated server on Ubuntu 12.04.1. The only problem is I have yet to get it working for EoD. I can get it to work for vanilla 1942, but not EoD. When I try connecting to my server, I get the Data Differs From Server error, even though both my server and my client should be running 2.51. In fact I tried running different versions between the two, and when I do that it simply crashes as it should. Any advise?

2

Donnerstag, 13. September 2012, 23:27

Sounds like there are missing some patches.
You need the Battlefield (not EOD) patches.

1.6 and 1.61B !

http://battlefield2.filefront.com/file/;33701

Same for the clients!
Links in our BF1942 download section.

The data are different because server and client are not running the same version.
You can check the version in init.con file in Battlefield 1942\Mods\init.con with a text editor like notepad, word...

3

Freitag, 14. September 2012, 00:09

Sounds like there are missing some patches.
You need the Battlefield (not EOD) patches.

1.6 and 1.61B !

http://battlefield2.filefront.com/file/;33701

Same for the clients!
Links in our BF1942 download section.

The data are different because server and client are not running the same version.
You can check the version in init.con file in Battlefield 1942\Mods\init.con with a text editor like notepad, word...
But my server & client must be running 1.61B because I can host and
join a BF1942 game, but I can't do it for EoD. That, and my client
computer can play EoD 2.51 just fine, so it's obviously running 1.61B.

4

Freitag, 14. September 2012, 16:08

If you're running with BFSM (ServerManager) just disable the 'content check mode'.
In BF's DedicatedServer.exe disable 'content check'.

That, and my client
computer can play EoD 2.51 just fine, so it's obviously running 1.61B.

That's not sure! I've never tested if EoD v2.51 works with 1.6 but I'm pretty sure it does.
It's very important you have the correct patches for both - server & client!
Also a wrong 'No-CD' can cause this problem!!!